Subject: bug#78479: 31.0.50; Passing a list to a customization string variable for Emacs >= 31 in project.el

From: "M. Page-Lieberman" <[email-masked]>
Date: Thu, 22 May 2025 10:10:48 -0400

Hi Eli and Dmitry.

So, I wound up just downgrading to Emacs 30 instead, and it also wound up
clearing up an issue I had had with installing packages via package.el -
thus enabling me to forgo using straight.el. It's curious though whatever
anyone had in mind in that defcustom.

On Thu, May 22, 2025 at 7:34 AM Eli Zaretskii <[email-masked]> wrote:

> > From: "M. Page-Lieberman" <[email-masked]>
> > Date: Sun, 18 May 2025 09:21:57 -0400
> >
> > I get the following warning message when starting up Emacs when
> > attempting to install Geiser (via straight.el, ie. /(straight-use-package
> > 'geiser)/ in my init file):
> >
> > """
> > ⛔ Warning (initialization): An error occurred while loading
> ‘/Users/jotaemei/.emacs.d/init.el’:
> >
> > Wrong type argument: stringp, (projects.eld projects)
> >
> > To ensure normal operation, you should investigate and remove the cause
> > of the error in your initialization file.  Start Emacs with the
> > ‘--debug-init’ option to view a complete error backtrace.
> > """
> >
> > The installation of Guile grabs project.el, which in turn defines the
> > following definition for a customization on line 1852:
> >
> > """
> > (defcustom project-list-file
> >   (locate-user-emacs-file (if (>= emacs-major-version 31)
> >                               '("projects.eld" "projects")
> >                             "projects"))
> >   "File in which to save the list of known projects."
> >   :type 'file
> >   :version "31.1"
> >   :group 'project)
> > """
> >
> > I /do/ have an Emacs major version of 31, which is for emacs-plus.
> >
> > When I pull up the customization via /customize-variable/, I see for the
> > value of project-list-file: """UNKNOWN, you should not see this."""
> >
> > Notably, no such projects.eld file nor directory exists in the file
> system.
> > For the time being, I'll just edit that defcustom to remove it.
> >
> > In GNU Emacs 31.0.50 (build 1, x86_64-apple-darwin24.3.0, NS
> >  appkit-2575.40 Version 15.3.1 (Build 24D70)) of 2025-03-08 built on
> >  MacBookPro
> > Windowing system distributor 'Apple', version 10.3.2575
> > System Description:  macOS 15.4.1
>
> Dmitry, any comments or suggestions?
>